Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.catalog.rules
Class CatalogQueryWrapper

    java.lang.Object
      com.beasys.commerce.ebusiness.catalog.rules.CatalogQueryWrapper

All Implemented Interfaces
  CatalogRuleConstants

Deprecated See BEA Commerce product offering

    @Deprecated
    public class CatalogQueryWrapper

extends Object
implements CatalogRuleConstants

A wrapper/helper class that wraps a
`com.beasys.commerce.ebusiness.catalog.service.query.CatalogQuery`
and helps create an instance of the latter. The rules service creates this object by passing as arguments the type of the CatalogQuery and the query string.

Field Summary
`protected String` | `catalogManagerName` Deprecated See BEA Commerce product offering
`protected KeywordQuery` | `keywordQuery` Deprecated See BEA Commerce product offering
`protected int` | `maxResults` Deprecated See BEA Commerce product offering
`protected ProductItemQuery` | `productItemQuery` Deprecated See BEA Commerce product offering
`protected String` | `queryString` Deprecated See BEA Commerce product offering
`protected String` | `queryType` Deprecated See BEA Commerce product offering
`protected int` | `viewSize` Deprecated See BEA Commerce product offering

Fields inherited from interface com.beasys.commerce.ebusiness.catalog.rules.CatalogRuleConstants
`KEYWORD_QUERY, PRODUCT_ITEM_QUERY`

Constructor Summary
`CatalogQueryWrapper(String queryType, String queryString, int maxResults, String catalogManagerName, int viewSize)` Deprecated See BEA Commerce product offering

Method Summary
`String` | `getCatalogManagerName()` Deprecated See BEA Commerce product offering
`KeywordQuery` | `getKeywordQuery()` Deprecated See BEA Commerce product offering
`int` | `getMaxResults()` Deprecated See BEA Commerce product offering
`ProductItemQuery` | `getProductItemQuery()` Deprecated See BEA Commerce product offering
`CatalogQuery` | `getQuery()` Deprecated See BEA Commerce product offering
`String` | `getQueryString()` Deprecated See BEA Commerce product offering
`String` | `getQueryType()` Deprecated See BEA Commerce product offering
`int` | `getViewSize()` Deprecated See BEA Commerce product offering
`protected void` | `setCatalogManagerName(String v)` Deprecated See BEA Commerce product offering
`protected void` | `setKeywordQuery(KeywordQuery v)` Deprecated See BEA Commerce product offering
`protected void` | `setMaxResults(int v)` Deprecated See BEA Commerce product offering
`protected void` | `setProductItemQuery(ProductItemQuery v)` Deprecated See BEA Commerce product offering
`protected void` | `setQueryString(String v)` Deprecated See BEA Commerce product offering
`protected void` | `setQueryType(String v)` Deprecated See BEA Commerce product offering
`void` | `setViewSize(int v)` Deprecated See BEA Commerce product offering

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### keywordQuery

    protected KeywordQuery keywordQuery

  Deprecated See BEA Commerce product offering
  The wrapped KeywordQuery.

### productItemQuery

    protected ProductItemQuery productItemQuery

  Deprecated See BEA Commerce product offering
  The wrapped ProductItemQuery.

### queryType

    protected String queryType

  Deprecated See BEA Commerce product offering
  String representation of the query type. Helps the rules service let this class know the type of query without the former having to have any knowledge of the nature of the query string. The rules service gets information about the type from the node type in the rule xml.

### queryString

    protected String queryString

  Deprecated See BEA Commerce product offering
  The query string. Could be a space separated list of keywords or a query exrpession.

### maxResults

    protected int maxResults

  Deprecated See BEA Commerce product offering
  The max query results returned.

### catalogManagerName

    protected String catalogManagerName

  Deprecated See BEA Commerce product offering
  The CatalogManagerName. The CatalogManager to use to fire this query.

### viewSize

    protected int viewSize

  Deprecated See BEA Commerce product offering
  The viewSize. This is an optional parameter and if specified will fire a query that returns a ViewIterator over the results. If viewSize is zero an array of productItems will be returned.

Constructor Detail

### CatalogQueryWrapper

    public CatalogQueryWrapper(String queryType,
                               String queryString,
                               int maxResults,
                               String catalogManagerName,
                               int viewSize)
                        throws InvalidArgumentException

  Deprecated See BEA Commerce product offering

  Constructor with arguments.

  Parameters
    `queryType` - The type of the query.
    `queryString` - String representation of the query.
  Throws
    `InvalidArgumentException` - If there are null arguments.

Method Detail

### getKeywordQuery

    public KeywordQuery getKeywordQuery()

  Deprecated See BEA Commerce product offering

  Get the value of keywordQuery.

  Returns
    Value of keywordQuery.

### setKeywordQuery

    protected void setKeywordQuery(KeywordQuery v)

  Deprecated See BEA Commerce product offering

  Set the value of keywordQuery.

  Parameters
    `v` - Value to assign to keywordQuery.

### getProductItemQuery

    public ProductItemQuery getProductItemQuery()

  Deprecated See BEA Commerce product offering

  Get the value of productItemQuery.

  Returns
    Value of productItemQuery.

### setProductItemQuery

    protected void setProductItemQuery(ProductItemQuery v)

  Deprecated See BEA Commerce product offering

  Set the value of productItemQuery.

  Parameters
    `v` - Value to assign to productItemQuery.

### getQueryType

    public String getQueryType()

  Deprecated See BEA Commerce product offering

  Get the value of queryType.

  Returns
    Value of queryType.

### setQueryType

    protected void setQueryType(String v)

  Deprecated See BEA Commerce product offering

  Set the value of queryType.

  Parameters
    `v` - Value to assign to queryType.

### getQueryString

    public String getQueryString()

  Deprecated See BEA Commerce product offering

  Get the value of queryString.

  Returns
    Value of queryString.

### setQueryString

    protected void setQueryString(String v)

  Deprecated See BEA Commerce product offering

  Set the value of queryString.

  Parameters
    `v` - Value to assign to queryString.

### getMaxResults

    public int getMaxResults()

  Deprecated See BEA Commerce product offering

  Get the value of maxResults.

  Returns
    Value of maxResults.

### setMaxResults

    protected void setMaxResults(int v)

  Deprecated See BEA Commerce product offering

  Set the value of maxResults.

  Parameters
    `v` - Value to assign to maxResults.

### getCatalogManagerName

    public String getCatalogManagerName()

  Deprecated See BEA Commerce product offering

  Get the value of catalogManagerName.

  Returns
    Value of catalogManagerName.

### setCatalogManagerName

    protected void setCatalogManagerName(String v)

  Deprecated See BEA Commerce product offering

  Set the value of catalogManagerName.

  Parameters
    `v` - Value to assign to catalogManagerName.

### getViewSize

    public int getViewSize()

  Deprecated See BEA Commerce product offering

  Get the value of viewSize.

  Returns
    Value of viewSize.

### setViewSize

    public void setViewSize(int v)

  Deprecated See BEA Commerce product offering

  Set the value of viewSize.

  Parameters
    `v` - Value to assign to viewSize.

### getQuery

    public CatalogQuery getQuery()

  Deprecated See BEA Commerce product offering

  Hands out the one query object that this class wraps.

  Returns
    CatalogQuery The wrapped query object.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved